#ifndef	__CAMCES_CONF_H
#define	__CAMCES_CONF_H
/*
    camces - driver of VME device CMD 8210 of CES
             for CAMAC bus parallel branch driving 
    ----------------------------------------------------------------------
    driver configuration file 
    The file covers the following aspects:
    	Hardware dependency:
    		current configuration
    	System dependency:
    		including proper system files
   		system independent wrappers for routines & macros
    	System tracing and debugging:
    This file contains VARIABLES !!!!

    Copyright (C) May 1997  Natalia Kruszynska <natalia@nikhef.nl>
	Thanks for contribution to:
		Ruud van Wijk   <ruud@nikhef.nl>
		Marcin Dalecki  <dalecki@sub944.sub.uni-goettingen.de>
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* ================================================================== 
 * The following  prefixes are consequently used in the code:
 *	Vm	- wrappers for system /version dependent functionality
 *	(n)cam	- access inline functions
 * WARNING: this version was put together from UNIX ASAP without alpha
 *	PC guarantee or tests ( no alpha hardware available)
 */

/* ==================================================================
** System include files are added by a base driver
** We  put here the whole of vmehb_conf.h adding a flag on
** what's internal and what's not which points to directory in
** which generic bridge driver is installed. This flag can
** be redefined but have to be defined, being checked by vmehb
** If you want to use tracing set the flag SYS_TRACELEN on
*/
/* fine	SYS_TRACELEN		200 /* tracing from vmehb_conf.h */
#define VERSION	"1.4.1"
#define VECTORED_VME     0xCD   /* put to 0 for old version */
#define	__vme_space_driver__  vmehb

#if VECTORED_VME
#include "../vmehb/vmehb_conf.h"
#else
#include <local/vmehb_conf.h>
#endif

/* ==================================================================
 * local include files 
 */
#include	"camdef.h"
#include	"cam.h"
#include	"camioctl.h"

/* ==================================================================
 * DEBUGGING - more levels can be added besides BASE_DEBUG
 */
#define BASE_DEBUG	0		/* debugging primitives	*/

/* do not change this : 					*/
#if	BASE_DEBUG
#	define	BASE_TRACE(x)	printk x
#else
#	define	BASE_TRACE(x)	
#endif


/* ==================================================================
 * CONFIGURATION CONSTANTS:
 */

#define	CAM_MAJOR	63
#define VME_MINOR	2	/* used in vme_dev_mmap - vme24d16 	*/
#define	CAM_VME_LEVEL	3	/* at this VME level are LAMs		*/
#define	DELAY(a)	udelay(a)
#define LET_CAMAC_REACT	3
#define	peek(a)		(a)
#define poke(a,v)	(*(a) = v)
#define PEEK(adr)       ((struct usword *)(adr))->ushort                /*  */
#define POKE(adr, dat)  (((struct usword *)(adr))->ushort = (dat), 0)   /*  */

/* ================================================================== 
 * INLINE wrappers for system/version dependent stuff - all here !!! 
 */

#endif 	/* __CAMCES_CONF_H */
